| Home | Libraries | People | FAQ | More

##### static_url::data

(Inherited from `url_view_base`)

Return a pointer to the url's character buffer.

###### Synopsis

    char const*
    data() const;

###### Description

This function returns a pointer to the first character of the url, which is not guaranteed to be null-terminated.

###### Complexity

Constant.

###### Exception Safety

Throws nothing.